transcript on
if {[file exists rtl_work]} {
	vdel -lib rtl_work -all
}
vlib rtl_work
vmap work rtl_work

vcom -93 -work work {../../VHDL/config.vhd}
vcom -93 -work work {../../VHDL/Top.vhd}
vcom -93 -work work {../../VHDL/ConfProto.vhd}
vcom -93 -work work {../../VHDL/SpiCtrl.vhd}
vcom -93 -work work {../../VHDL/PulseGen.vhd}

vcom -93 -work work {../../VHDL/Top_TB.vhd}

vsim -t 1ps -L altera -L lpm -L sgate -L altera_mf -L altera_lnsim -L cycloneive -L rtl_work -L work -voptargs="+acc"  Top_TB

add wave -noupdate /top_tb/UUT/CLK
add wave -noupdate /top_tb/UUT/RESET
add wave -noupdate /top_tb/UUT/SPI_CLK
add wave -noupdate /top_tb/UUT/SPI_MISO
add wave -noupdate /top_tb/UUT/SPI_MOSI
add wave -noupdate /top_tb/UUT/SPI_SS
add wave -noupdate /top_tb/UUT/O
add wave -noupdate /top_tb/UUT/CONF_MODE
add wave -noupdate /top_tb/UUT/WE
add wave -noupdate -radix hexadecimal /top_tb/UUT/DAT_W
add wave -noupdate /top_tb/UUT/ADR
add wave -noupdate /top_tb/UUT/DAT_SIZE
add wave -noupdate -radix hexadecimal /top_tb/UUT/DAT_TX
add wave -noupdate -radix hexadecimal /top_tb/UUT/DAT_RX
add wave -noupdate /top_tb/UUT/TRANS_DONE
add wave -noupdate /top_tb/UUT/DAT_VALID
configure wave -namecolwidth 225
configure wave -valuecolwidth 100
configure wave -justifyvalue left
configure wave -signalnamewidth 0
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
configure wave -timelineunits ns
view structure
view signals
run 50 us
