transcript on
if {[file exists rtl_work]} {
	vdel -lib rtl_work -all
}
vlib rtl_work
vmap work rtl_work

vcom -93 -work work {../../VHDL/config.vhd}
vcom -93 -work work {../../VHDL/Top.vhd}
vcom -93 -work work {../../VHDL/ConfProto.vhd}
vcom -93 -work work {../../VHDL/SpiCtrl.vhd}
vcom -93 -work work {../../VHDL/PulseGen.vhd}

vcom -93 -work work {../../VHDL/ConfProto_TB.vhd}

vsim -t 1ps -L altera -L lpm -L sgate -L altera_mf -L altera_lnsim -L cycloneive -L rtl_work -L work -voptargs="+acc"  ConfProto_TB

add wave -noupdate /confproto_tb/UUT/CLK
add wave -noupdate /confproto_tb/UUT/RESET
add wave -noupdate -radix hexadecimal /confproto_tb/UUT/DAT_TX
add wave -noupdate -radix hexadecimal /confproto_tb/UUT/DAT_RX
add wave -noupdate /confproto_tb/UUT/TRANS_DONE
add wave -noupdate /confproto_tb/UUT/DAT_VALID
add wave -noupdate /confproto_tb/UUT/CONF_MODE
add wave -noupdate /confproto_tb/UUT/WE
add wave -noupdate -radix hexadecimal /confproto_tb/UUT/DAT_W
add wave -noupdate /confproto_tb/UUT/ADR
add wave -noupdate /confproto_tb/UUT/DAT_SIZE
add wave -noupdate /confproto_tb/UUT/STATE
add wave -noupdate /confproto_tb/UUT/COUNTER
add wave -noupdate /confproto_tb/UUT/ADR_b
add wave -noupdate /confproto_tb/UUT/LENGTH
configure wave -namecolwidth 283
configure wave -valuecolwidth 100
configure wave -justifyvalue left
configure wave -signalnamewidth 0
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
configure wave -timelineunits ns
view structure
view signals
run 1 us
