transcript on
if {[file exists rtl_work]} {
	vdel -lib rtl_work -all
}
vlib rtl_work
vmap work rtl_work

vcom -93 -work work {../../VHDL/config.vhd}
vcom -93 -work work {../../VHDL/SpiCtrl.vhd}

vcom -93 -work work {../../VHDL/SpiCtrl_TB.vhd}

vsim -t 1ps -L altera -L lpm -L sgate -L altera_mf -L altera_lnsim -L cycloneiv_hssi -L cycloneiv_pcie_hip -L cycloneiv -L rtl_work -L work -voptargs="+acc"  SpiCtrl_TB

add wave -noupdate /spictrl_tb/UUT/CLK
add wave -noupdate /spictrl_tb/UUT/RESET
add wave -noupdate /spictrl_tb/UUT/SPI_CLK
add wave -noupdate /spictrl_tb/UUT/SPI_MISO
add wave -noupdate /spictrl_tb/UUT/SPI_MOSI
add wave -noupdate /spictrl_tb/UUT/SPI_SS
add wave -noupdate -radix hexadecimal /spictrl_tb/UUT/DAT_TX
add wave -noupdate -radix hexadecimal /spictrl_tb/UUT/DAT_RX
add wave -noupdate /spictrl_tb/UUT/TRANS_DONE
add wave -noupdate /spictrl_tb/UUT/DAT_VALID
add wave -noupdate /spictrl_tb/UUT/COUNTER
add wave -noupdate /spictrl_tb/UUT/SPI_MISO_b
add wave -noupdate /spictrl_tb/UUT/SPI_CLK_old
add wave -noupdate -radix hexadecimal /spictrl_tb/UUT/SREG
add wave -noupdate /spictrl_tb/UUT/STATE
configure wave -namecolwidth 236
configure wave -valuecolwidth 100
configure wave -justifyvalue left
configure wave -signalnamewidth 0
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
configure wave -timelineunits ns
view structure
view signals
run 4 us
