library IEEE;
use IEEE.std_logic_1164.all;


package config is
	-- constant RAM_SIZE : integer := 64*1024; -- RAM Size in Byte. Must be a multiple of 4. -- XC6SLX9
	constant RAM_SIZE : integer := 16*1024; -- RAM Size in Byte. Must be a multiple of 4. -- XC6SLX4
	-- constant RAM_SIZE : integer := 28*1024; -- RAM Size in Byte. Must be a multiple of 4. -- EP4CE6E22

	constant SPI_PRESCALER : integer := 10;

	constant CONF_PROTO_INIT : std_logic_vector := x"49AD";
	constant CONF_PROTO_ACK : std_logic_vector := x"0AC0AC0A";
	constant CONF_PROTO_ERR : std_logic_vector := x"EEFFEEFF";
	constant CONF_PROTO_FIN : std_logic_vector := x"FF00FF00";
	constant CONF_PROTO_RECOVER : std_logic_vector := x"AA00AA00";
end config;
